Page 1 of 2 12 LastLast
Results 1 to 10 of 32

Thread: A Variety Of Unreal Engine 4 Linux Demos Are Now Available

Hybrid View

  1. #1
    Join Date
    Jan 2007
    Posts
    15,193

    Default A Variety Of Unreal Engine 4 Linux Demos Are Now Available

    Phoronix: A Variety Of Unreal Engine 4 Linux Demos Are Now Available

    Linux developers and fans of Unreal Engine 4 have started offering compiled builds of several UE4 tech demos and some simple games for 64-bit Linux...

    http://www.phoronix.com/vr.php?view=MTczNjY

  2. #2
    Join Date
    Jun 2006
    Location
    Portugal
    Posts
    538

    Default

    Ripe for some PTS support?

  3. #3
    Join Date
    Dec 2013
    Location
    Lyon, France
    Posts
    49

    Default

    Well, I get some rendering issues on R600 with the Effects Cave Demo :

    http://imgur.com/Px3ecaO

    The console gets flooded with :

    Code:
    EE r600_shader.c:157 r600_pipe_shader_create - translation from TGSI failed !
    EE r600_state_common.c:750 r600_shader_select - Failed to build shader variant (type=1) -1

  4. #4
    Join Date
    Nov 2008
    Posts
    4

    Default

    Quote Originally Posted by M@yeulC View Post
    Well, I get some rendering issues on R600 with the Effects Cave Demo :

    http://imgur.com/Px3ecaO

    The console gets flooded with :

    Code:
    EE r600_shader.c:157 r600_pipe_shader_create - translation from TGSI failed !
    EE r600_state_common.c:750 r600_shader_select - Failed to build shader variant (type=1) -1
    Same here (exact same output) with the SciFi Hallway demo on my radeon 6870 with r600 driver. Interestingly, the window title says GLSL 1.50 which is a OpenGL 3.2 requirement which again should be fully supported. Dunno why it does not work.

  5. #5
    Join Date
    Jun 2014
    Location
    EU
    Posts
    36

    Default

    Quote Originally Posted by M@yeulC View Post
    Well, I get some rendering issues on R600 with the Effects Cave Demo :

    http://imgur.com/Px3ecaO

    The console gets flooded with :

    Code:
    EE r600_shader.c:157 r600_pipe_shader_create - translation from TGSI failed !
    EE r600_state_common.c:750 r600_shader_select - Failed to build shader variant (type=1) -1
    The R600 is an ancient, unsupported, abandoned, legacy GPU. I'm sure the engine is not written for it. It's 7 years old!

  6. #6
    Join Date
    Sep 2013
    Posts
    250

    Default

    Quote Originally Posted by eydee View Post
    The R600 is an ancient, unsupported, abandoned, legacy GPU. I'm sure the engine is not written for it. It's 7 years old!
    What are you talking about?
    This is error of R600g driver, he might be have AMD HD69XX or something.

  7. #7
    Join Date
    Jun 2014
    Location
    EU
    Posts
    36

    Default

    Quote Originally Posted by _SXX_ View Post
    What are you talking about?
    This is error of R600g driver, he might be have AMD HD69XX or something.
    R600 = Radeon HD 2000 series GPU. There's no "g" at the end in the post.

  8. #8
    Join Date
    Sep 2013
    Posts
    250

    Default

    Quote Originally Posted by M@yeulC View Post
    Well, I get some rendering issues on R600 with the Effects Cave Demo
    I suppose at moment you have no chance to see it work properly with open source drivers because it's don't even work on Intel and one of guys on reddit said there is some problem with shader converted so it's trying to use GLSL 4.0 features while game using 3.2 context. This looks like works on blobs, but not with Mesa.

  9. #9
    Join Date
    Oct 2012
    Location
    Sweden
    Posts
    343

    Default

    Anyone complained about there not being 32-bit version of the demos yet?

    Quote Originally Posted by _SXX_ View Post
    What are you talking about?
    This is error of R600g driver, he might be have AMD HD69XX or something.
    Just a nitpick. The 69xx series uses RadeonSI. HD 68xx are the fastest R600g cards.

  10. #10
    Join Date
    Sep 2013
    Posts
    250

    Default

    Quote Originally Posted by xeekei View Post
    Just a nitpick. The 69xx series uses RadeonSI.
    As someone who use HD 6950 I would be a lot happier if those were using RadeonSI.
    *look at GPU lockups nobody care about...*

    Quote Originally Posted by xeekei View Post
    HD 68xx are the fastest R600g cards.
    Though this is true, CAYMAN performance is pretty bad.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •